<COMPONENT>

	<HEADER 
		PLATEFORM="ALL" 
		SERIAL="" 
		VERSION="0.102" 
		STATUS="ALPHA"

		COMPATIBILITY="ALL" 
		AUTHOR="Talend" 
		RELEASE_DATE="20070226A"
		STARTABLE="true" 
		LOG4J_ENABLED="true"
		VISIBLE="false"
	>
		<SIGNATURE />
	</HEADER>

	<FAMILIES>
		<FAMILY>Deprecated</FAMILY>
	</FAMILIES>

	<DOCUMENTATION>
		<URL />
	</DOCUMENTATION>

	<CONNECTORS>
		<CONNECTOR CTYPE="FLOW" MAX_INPUT="0" MAX_OUTPUT="1" />
		<CONNECTOR CTYPE="ITERATE" MAX_OUTPUT="1" MAX_INPUT="1" />
		<CONNECTOR CTYPE="SUBJOB_OK" MAX_INPUT="1" />
		<CONNECTOR CTYPE="SUBJOB_ERROR" MAX_INPUT="1" />
		<CONNECTOR CTYPE="COMPONENT_OK" />
		<CONNECTOR CTYPE="COMPONENT_ERROR" />
		<CONNECTOR CTYPE="RUN_IF" />
	</CONNECTORS>

	<PARAMETERS>



		<PARAMETER NAME="DBNAME" FIELD="TEXT" NUM_ROW="3" REQUIRED="true">
			<DEFAULT>"provider=sqloledb;server=(local)\\SQLEXPRESS;database=demo;Integrated	Security=SSPI"</DEFAULT>
		</PARAMETER>

		<PARAMETER NAME="SCHEMA" FIELD="SCHEMA_TYPE" NUM_ROW="5">
			<DEFAULT>""</DEFAULT>
		</PARAMETER>

		<PARAMETER NAME="TABLE" FIELD="DBTABLE" NUM_ROW="6">
			<DEFAULT>""</DEFAULT>
		</PARAMETER>

		<PARAMETER NAME="QUERYSTORE" FIELD="QUERYSTORE_TYPE"
			NUM_ROW="7">
			<DEFAULT>""</DEFAULT>
		</PARAMETER>

		<PARAMETER NAME="GUESS_SCHEMA" FIELD="GUESS_SCHEMA" NUM_ROW="7">
			<DEFAULT>""</DEFAULT>
		</PARAMETER>

		<PARAMETER NAME="QUERY" FIELD="MEMO_SQL" NUM_ROW="8"
			REQUIRED="true">
			<DEFAULT>"select id, name from employee"</DEFAULT>
		</PARAMETER>

	</PARAMETERS>

	<ADVANCED_PARAMETERS>
		<PARAMETER NAME="ENCODING" FIELD="ENCODING_TYPE" NUM_ROW="9"
			REQUIRED="true" SHOW="false">
			<DEFAULT>"ISO-8859-15"</DEFAULT>
		</PARAMETER>

		<PARAMETER NAME="TRIM_ALL_COLUMN" FIELD="CHECK" NUM_ROW="30">
			<DEFAULT>false</DEFAULT>
		</PARAMETER>

		<PARAMETER NAME="TRIM_COLUMN" FIELD="TABLE" NUM_ROW="40"
			NB_LINES="5" SHOW_IF="TRIM_ALL_COLUMN == 'false'">
			<ITEMS BASED_ON_SCHEMA="true">
				<ITEM NAME="TRIM" FIELD="CHECK"></ITEM>
			</ITEMS>
		</PARAMETER>
		<PARAMETER NAME="USE_CUSTOM_ASSEM" FIELD="CHECK" NUM_ROW="50" SHOW="false">
			<DEFAULT>false</DEFAULT>
		</PARAMETER>
		<PARAMETER NAME="ASSEMBLY_NAME" FIELD="TEXT" NUM_ROW="60"
			SHOW_IF="USE_CUSTOM_ASSEM == 'true'">
			<DEFAULT>"System.Data, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089"</DEFAULT>
		</PARAMETER>
		<PARAMETER NAME="USE_CUSTOM_CLASS" FIELD="CHECK" NUM_ROW="70"
			SHOW_IF="USE_CUSTOM_ASSEM == 'true'">
			<DEFAULT>false</DEFAULT>
		</PARAMETER>
		<PARAMETER NAME="CLASS_NAME" FIELD="TEXT" NUM_ROW="80" SHOW_IF="USE_CUSTOM_CLASS == 'true'">
		    <DEFAULT>"System.Data.OleDb.OleDbConnection"</DEFAULT>
		</PARAMETER>
		<PARAMETER NAME="CLOSE_CONNECTION" FIELD="CHECK" NUM_ROW="100">
			<DEFAULT>true</DEFAULT>
		</PARAMETER>
		
	</ADVANCED_PARAMETERS>

	<CODEGENERATION>
		<IMPORTS>
			<IMPORT MODULE="janet-java-1.2.jar" MVN="mvn:org.talend.libraries/janet-java-1.2/6.0.0"  NAME="janet-java-1.2"
				REQUIRED="true" />
		</IMPORTS>
	</CODEGENERATION>

	<RETURNS>
		<RETURN NAME="NB_LINE" TYPE="id_Integer" AVAILABILITY="AFTER" />
		<RETURN NAME="QUERY" TYPE="id_String" AVAILABILITY="FLOW" />
	</RETURNS>
</COMPONENT>
